> For the complete documentation index, see [llms.txt](https://docs.shiftiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftiq.com/developers/api-v2/navigating-the-api/assets-api-files.md).

# Assets API: Files

## GET /api/assets/files/{file}

> Retrieves one specific file

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"FileModel":{"type":"object","properties":{"ApprovedUserId":{"type":"string","format":"uuid","nullable":true},"FileId":{"type":"string","format":"uuid"},"LastActivityUserId":{"type":"string","format":"uuid","nullable":true},"ObjectId":{"type":"string","format":"uuid"},"ReviewedUserId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid"},"DocumentName":{"type":"string","nullable":true},"FileCategory":{"type":"string","nullable":true},"FileContentType":{"type":"string","nullable":true},"FileDescription":{"type":"string","nullable":true},"FileLocation":{"type":"string","nullable":true},"FileName":{"type":"string","nullable":true},"FilePath":{"type":"string","nullable":true},"FileStatus":{"type":"string","nullable":true},"FileSubcategory":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"FileSize":{"type":"integer","format":"int32"},"ApprovedTime":{"type":"string","format":"date-time","nullable":true},"FileAlternated":{"type":"string","format":"date-time","nullable":true},"FileExpiry":{"type":"string","format":"date-time","nullable":true},"FileReceived":{"type":"string","format":"date-time","nullable":true},"FileUploaded":{"type":"string","format":"date-time"},"LastActivityTime":{"type":"string","format":"date-time","nullable":true},"ReviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/files/{file}":{"get":{"tags":["Assets API: Files"],"summary":"Retrieves one specific file","operationId":"retrieveFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/FileModel"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## PUT /api/assets/files/{file}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyFile":{"type":"object","properties":{"ApprovedUserId":{"type":"string","format":"uuid","nullable":true},"FileId":{"type":"string","format":"uuid"},"LastActivityUserId":{"type":"string","format":"uuid","nullable":true},"ObjectId":{"type":"string","format":"uuid"},"ReviewedUserId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid"},"DocumentName":{"type":"string","nullable":true},"FileCategory":{"type":"string","nullable":true},"FileContentType":{"type":"string","nullable":true},"FileDescription":{"type":"string","nullable":true},"FileLocation":{"type":"string","nullable":true},"FileName":{"type":"string","nullable":true},"FilePath":{"type":"string","nullable":true},"FileStatus":{"type":"string","nullable":true},"FileSubcategory":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"FileSize":{"type":"integer","format":"int32"},"ApprovedTime":{"type":"string","format":"date-time","nullable":true},"FileAlternated":{"type":"string","format":"date-time","nullable":true},"FileExpiry":{"type":"string","format":"date-time","nullable":true},"FileReceived":{"type":"string","format":"date-time","nullable":true},"FileUploaded":{"type":"string","format":"date-time"},"LastActivityTime":{"type":"string","format":"date-time","nullable":true},"ReviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/files/{file}":{"put":{"tags":["Assets API: Files"],"operationId":"modifyFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyFile"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/assets/files/{file}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/files/{file}":{"delete":{"tags":["Assets API: Files"],"operationId":"deleteFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/assets/files/{file}

> Checks for the existence of one specific file

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/files/{file}":{"head":{"tags":["Assets API: Files"],"summary":"Checks for the existence of one specific file","operationId":"assertFile","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/assets/files/collect

> Collects the list of files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFiles":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"FileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ObjectTypeExact":{"type":"string","nullable":true},"ObjectIdentifierContains":{"type":"string","nullable":true},"FileNameContains":{"type":"string","nullable":true},"DocumentNameContains":{"type":"string","nullable":true},"FileUploadedSince":{"type":"string","format":"date-time","nullable":true},"FileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"HasClaims":{"type":"boolean","nullable":true},"FileTag":{"$ref":"#/components/schemas/FileTag"}},"additionalProperties":false},"FileTag":{"enum":["PersonImport"],"type":"string"},"FileModel":{"type":"object","properties":{"ApprovedUserId":{"type":"string","format":"uuid","nullable":true},"FileId":{"type":"string","format":"uuid"},"LastActivityUserId":{"type":"string","format":"uuid","nullable":true},"ObjectId":{"type":"string","format":"uuid"},"ReviewedUserId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid"},"DocumentName":{"type":"string","nullable":true},"FileCategory":{"type":"string","nullable":true},"FileContentType":{"type":"string","nullable":true},"FileDescription":{"type":"string","nullable":true},"FileLocation":{"type":"string","nullable":true},"FileName":{"type":"string","nullable":true},"FilePath":{"type":"string","nullable":true},"FileStatus":{"type":"string","nullable":true},"FileSubcategory":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"FileSize":{"type":"integer","format":"int32"},"ApprovedTime":{"type":"string","format":"date-time","nullable":true},"FileAlternated":{"type":"string","format":"date-time","nullable":true},"FileExpiry":{"type":"string","format":"date-time","nullable":true},"FileReceived":{"type":"string","format":"date-time","nullable":true},"FileUploaded":{"type":"string","format":"date-time"},"LastActivityTime":{"type":"string","format":"date-time","nullable":true},"ReviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assets/files/collect":{"post":{"tags":["Assets API: Files"],"summary":"Collects the list of files that match specific criteria","operationId":"collectFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileModel"}}}}}}}}}}
```

## POST /api/assets/files/count

> Counts the files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountFiles":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"FileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ObjectTypeExact":{"type":"string","nullable":true},"ObjectIdentifierContains":{"type":"string","nullable":true},"FileNameContains":{"type":"string","nullable":true},"DocumentNameContains":{"type":"string","nullable":true},"FileUploadedSince":{"type":"string","format":"date-time","nullable":true},"FileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"HasClaims":{"type":"boolean","nullable":true},"FileTag":{"$ref":"#/components/schemas/FileTag"}},"additionalProperties":false},"FileTag":{"enum":["PersonImport"],"type":"string"},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/assets/files/count":{"post":{"tags":["Assets API: Files"],"summary":"Counts the files that match specific criteria","operationId":"countFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountFiles"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/assets/files/download

> Downloads the list of files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectFiles":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"FileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ObjectTypeExact":{"type":"string","nullable":true},"ObjectIdentifierContains":{"type":"string","nullable":true},"FileNameContains":{"type":"string","nullable":true},"DocumentNameContains":{"type":"string","nullable":true},"FileUploadedSince":{"type":"string","format":"date-time","nullable":true},"FileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"HasClaims":{"type":"boolean","nullable":true},"FileTag":{"$ref":"#/components/schemas/FileTag"}},"additionalProperties":false},"FileTag":{"enum":["PersonImport"],"type":"string"}}},"paths":{"/api/assets/files/download":{"post":{"tags":["Assets API: Files"],"summary":"Downloads the list of files that match specific criteria","operationId":"downloadFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectFiles"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/assets/files/search

> Searches for the list of files that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchFiles":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid","nullable":true},"FileIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"ObjectTypeExact":{"type":"string","nullable":true},"ObjectIdentifierContains":{"type":"string","nullable":true},"FileNameContains":{"type":"string","nullable":true},"DocumentNameContains":{"type":"string","nullable":true},"FileUploadedSince":{"type":"string","format":"date-time","nullable":true},"FileUploadedBefore":{"type":"string","format":"date-time","nullable":true},"HasClaims":{"type":"boolean","nullable":true},"FileTag":{"$ref":"#/components/schemas/FileTag"}},"additionalProperties":false},"FileTag":{"enum":["PersonImport"],"type":"string"},"FileMatch":{"type":"object","properties":{"OrganizationCode":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"ObjectId":{"type":"string","format":"uuid"},"FileId":{"type":"string","format":"uuid"},"FileLocation":{"type":"string","nullable":true},"FileName":{"type":"string","nullable":true},"DocumentName":{"type":"string","nullable":true},"FileSize":{"type":"integer","format":"int32"},"FileUploaded":{"type":"string","format":"date-time"},"UserId":{"type":"string","format":"uuid"},"UserFullName":{"type":"string","nullable":true},"FileTag":{"type":"string","nullable":true},"HasClaims":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/assets/files/search":{"post":{"tags":["Assets API: Files"],"summary":"Searches for the list of files that match specific criteria","operationId":"searchFiles","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchFiles"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileMatch"}}}}}}}}}}
```

## POST /api/assets/files

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreateFile":{"type":"object","properties":{"ApprovedUserId":{"type":"string","format":"uuid","nullable":true},"FileId":{"type":"string","format":"uuid"},"LastActivityUserId":{"type":"string","format":"uuid","nullable":true},"ObjectId":{"type":"string","format":"uuid"},"ReviewedUserId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid"},"DocumentName":{"type":"string","nullable":true},"FileCategory":{"type":"string","nullable":true},"FileContentType":{"type":"string","nullable":true},"FileDescription":{"type":"string","nullable":true},"FileLocation":{"type":"string","nullable":true},"FileName":{"type":"string","nullable":true},"FilePath":{"type":"string","nullable":true},"FileStatus":{"type":"string","nullable":true},"FileSubcategory":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"FileSize":{"type":"integer","format":"int32"},"ApprovedTime":{"type":"string","format":"date-time","nullable":true},"FileAlternated":{"type":"string","format":"date-time","nullable":true},"FileExpiry":{"type":"string","format":"date-time","nullable":true},"FileReceived":{"type":"string","format":"date-time","nullable":true},"FileUploaded":{"type":"string","format":"date-time"},"LastActivityTime":{"type":"string","format":"date-time","nullable":true},"ReviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"FileModel":{"type":"object","properties":{"ApprovedUserId":{"type":"string","format":"uuid","nullable":true},"FileId":{"type":"string","format":"uuid"},"LastActivityUserId":{"type":"string","format":"uuid","nullable":true},"ObjectId":{"type":"string","format":"uuid"},"ReviewedUserId":{"type":"string","format":"uuid","nullable":true},"UserId":{"type":"string","format":"uuid"},"DocumentName":{"type":"string","nullable":true},"FileCategory":{"type":"string","nullable":true},"FileContentType":{"type":"string","nullable":true},"FileDescription":{"type":"string","nullable":true},"FileLocation":{"type":"string","nullable":true},"FileName":{"type":"string","nullable":true},"FilePath":{"type":"string","nullable":true},"FileStatus":{"type":"string","nullable":true},"FileSubcategory":{"type":"string","nullable":true},"FileUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"FileSize":{"type":"integer","format":"int32"},"ApprovedTime":{"type":"string","format":"date-time","nullable":true},"FileAlternated":{"type":"string","format":"date-time","nullable":true},"FileExpiry":{"type":"string","format":"date-time","nullable":true},"FileReceived":{"type":"string","format":"date-time","nullable":true},"FileUploaded":{"type":"string","format":"date-time"},"LastActivityTime":{"type":"string","format":"date-time","nullable":true},"ReviewedTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/assets/files":{"post":{"tags":["Assets API: Files"],"operationId":"createFile","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateFile"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateFile"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateFile"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateFile"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}}}}}}}
```

## Upload files (with content)

> Uploads one or more files to temporary storage for authenticated users or valid survey response sessions.

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"paths":{"/api/assets/files/temp":{"post":{"tags":["Assets API: Files"],"summary":"Upload files (with content)","description":"Uploads one or more files to temporary storage for authenticated users or valid survey response sessions.","parameters":[{"name":"responseId","in":"query","description":"Optional survey response identifier for unauthenticated respondents","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## Retrieve a file (content only)

> Retrieves the content for a specific file using its unique ID and filename. Performs authorization checks and&#x20;> \
> supports caching. It is important to note the caller must know the name of the file, in addition to its unique&#x20;> \
> ID, or the server will return a 404 Not Found - even if the ID is valid.

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"paths":{"/api/assets/files/{id}/{name}":{"get":{"tags":["Assets API: Files"],"summary":"Retrieve a file (content only)","description":"Retrieves the content for a specific file using its unique ID and filename. Performs authorization checks and \r\nsupports caching. It is important to note the caller must know the name of the file, in addition to its unique \r\nID, or the server will return a 404 Not Found - even if the ID is valid.","parameters":[{"name":"id","in":"path","description":"The unique identifier of the file to retrieve","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"name","in":"path","description":"The expected filename for validation purposes","required":true,"schema":{"type":"string"}},{"name":"download","in":"query","description":"Optional parameter: set to \"1\" to force download, otherwise file is displayed inline","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/assets-api-files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
